質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

Node.js

Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

Q&A

解決済

2回答

1196閲覧

npmでE418:I'm a teapotが発生する

pikopikopiko

総合スコア11

npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

Node.js

Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

0グッド

2クリップ

投稿2018/05/31 02:03

編集2018/05/31 06:37

前提・実現したいこと

npmでパッケージのインストールができません。
npm install -l expressを実行したところ、エラーが発生しました。

発生している問題・エラーメッセージ

npm ERR! code E418
npm ERR! 418 I'm a teapot: express@latest

補足情報(FW/ツールのバージョンなど)

バージョン情報は以下のとおりです。
NodeJS:v8.9.1
npm:5.5.1

Proxy環境下だとこの事象が発生するようです。
(社内の環境が、Proxyの設定を必須とするような環境となっています。)
Issueとして上がっていたようですが、Closeされています。
https://github.com/npm/npm/issues/20791

nvm等でnodeのバージョンを下げて実行するしかないのでしょうか・・?
普通にnpm installが実行できるようにしたいのですが、
どなたか解決策をご存知ありませんでしょうか?

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答2

0

一応再発用に追記しておきます。
~/.npmrc に下記を設定(https)することで解消されましたので、お試しください。
(環境によると思うので治らなかったらすみません)

registry=https://registry.npmjs.org/

投稿2018/06/11 01:40

isoppp

総合スコア102

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

pikopikopiko

2018/06/25 05:42

isopppさん ご返信遅れてしまい、すみません。 ご回答頂き、ありがとうございます。 yarnを使って難を逃れていましたので今回は頂いた設定を反映していませんが、 後学のために覚えておこうと思います。(環境構築時にnpmrcに追加しておいてもいいかもですね)
guest

0

ベストアンサー

私の環境下でも丁度同じ現象になったので共有いたします。

2018/05/28 ごろから応答している AWS に問題があり npm install する際にProxyを設定していると ERR! 418 I'm a teapot エラーが発生してしまうようです。

Proxyを解除すれば npm install できるみたいでですが、
yarn などの別のパッケージマネージャーならインストールすることはできます。
(対応しているライブラリにもよります)

https://github.com/npm/npm/issues/20791

投稿2018/05/31 06:15

編集2018/05/31 06:26
Higemura

総合スコア274

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

pikopikopiko

2018/05/31 06:34 編集

Higemuraさん ご回答有り難うございます。 IssueはCloseされていましたがまだ解決はされていない状態なのですね。。 解決されるまではしばらくyarnを利用しようと思います。
Higemura

2018/06/01 01:01

そうですね。。。 早く改善してほしいものです 泣
Higemura

2018/06/11 01:35

補足:2018/06/11 npm installの `ERR! 418 I'm a teapot` エラーが解消されたことをご報告いたします。 Proxy設定されていても問題なくnpm installが使用できました
pikopikopiko

2018/06/25 05:43

Higemuraさん ご返信遅れてしまい、すみません。 エラー解消された旨、ご報告ありがとうございます! yarnを継続して使うか迷っていますが、、なんとか解決してよかったです。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問